﻿Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Imports System.Web.UI.DataVisualization.Charting

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        Dim x() As String = New String() {"Mango", "Apple", "Orange", "Banana"}
        Dim y() As Integer = New Integer() {200, 112, 55, 96}
        Chart1.Series(0).Points.DataBindXY(x, y)
        Chart1.Series(0).ChartType = SeriesChartType.Pie
        Chart1.ChartAreas("ChartArea1").Area3DStyle.Enable3D = True
        Chart1.Legends(0).Enabled = True
    End Sub

    Protected Sub btnExportPDF_Click(ByVal sender As Object, ByVal e As EventArgs)
        Dim pdfDoc As Document = New Document(PageSize.A4, 10.0!, 10.0!, 10.0!, 0.0!)
        PdfWriter.GetInstance(pdfDoc, Response.OutputStream)
        pdfDoc.Open()
        Dim stream As MemoryStream = New MemoryStream
        Chart1.SaveImage(stream, ChartImageFormat.Png)
        Dim chartImage As iTextSharp.text.Image = iTextSharp.text.Image.GetInstance(stream.GetBuffer)
        chartImage.ScalePercent(75.0!)
        pdfDoc.Add(chartImage)
        pdfDoc.Close()
        Response.ContentType = "application/pdf"
        Response.AddHeader("content-disposition", "attachment;filename=Chart.pdf")
        Response.Cache.SetCacheability(HttpCacheability.NoCache)
        Response.Write(pdfDoc)
        Response.End()
    End Sub


End Class
